MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
sc::SCMatrixJointSubblockIter Class Reference
Inheritance diagram for sc::SCMatrixJointSubblockIter:
[legend]
Collaboration diagram for sc::SCMatrixJointSubblockIter:
[legend]

## Public Member Functions
| SCMatrixJointSubblockIter (const Ref< SCMatrixSubblockIter > &, const Ref< SCMatrixSubblockIter > &, const Ref< SCMatrixSubblockIter > &=0, const Ref< SCMatrixSubblockIter > &=0, const Ref< SCMatrixSubblockIter > &=0)
void | begin ()
| Start at the beginning.
int | ready ()
| Returns nonzero if there is another block.
void | next ()
| Proceed to the next block.
SCMatrixBlock * | block ()
| Return the current block.
SCMatrixBlock * | block (int i)
Public Member Functions inherited from sc::SCMatrixSubblockIter
| SCMatrixSubblockIter (Access access)
| The access variable should be one of Read, Write, Accum, and None, with the SCMatrixSubblockIter:: scope operator applied. More...
Access | access () const
| Return the type of Access allowed for these blocks.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Attributes
int | niters_
Ref< SCMatrixSubblockIter > * | iters_
Protected Attributes inherited from sc::SCMatrixSubblockIter
Access | access_

## Additional Inherited Members
Public Types inherited from sc::SCMatrixSubblockIter
enum | Access { Read, Write, Accum, None }
Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

The documentation for this class was generated from the following file:

- block.h